<script lang="ts">
import Vue from 'vue';
import { SlpTooltip } from '../common/index.vue';

export default Vue.extend({
  name: 'FeaturesProductsCategoryPricingPills',
  components: {
    SlpTooltip,
  },
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
  data() {
    return {
      disabled: false,
    };
  },
});
</script>

<template>
  <div class="features-product-category-pricing-pills">
    <SlpTooltip
      :id="`${data.title} free`"
      text="[Get a Free Trial](https://gitlab.com/users/sign_up/company/new?trial=true)"
      position="top"
      class="features-product-category-pricing-pills__wrapper"
    >
      <div>
        <SlpPillButton
          :type="data.isFree ? 'true' : 'false'"
          :icon="data.isFree ? 'check' : 'close'"
          >Free</SlpPillButton
        >
      </div>
    </SlpTooltip>
    <SlpTooltip
      :id="`${data.title} premium`"
      text="Learn more about [GitLab Premium](https://about.gitlab.com/pricing/premium/)"
      position="top"
      class="features-product-category-pricing-pills__wrapper"
    >
      <div>
        <SlpPillButton
          :type="data.isPremium ? 'true' : 'false'"
          :icon="data.isPremium ? 'check' : 'close'"
          >Premium</SlpPillButton
        >
      </div>
    </SlpTooltip>
    <SlpTooltip
      :id="`${data.title} ultimate`"
      text="Learn more about [GitLab Ultimate](https://about.gitlab.com/pricing/ultimate/)"
      position="top"
      class="features-product-category-pricing-pills__wrapper"
    >
      <div>
        <SlpPillButton
          :type="data.isUltimate ? 'true' : 'false'"
          :icon="data.isUltimate ? 'check' : 'close'"
          >Ultimate</SlpPillButton
        >
      </div>
    </SlpTooltip>
    <SlpTypography
      v-if="data.isSelfManaged"
      tag="p"
      variant="body3"
      class="features-product-category-pricing-pills__availability"
    >
      *Only available on Self-Managed
    </SlpTypography>
  </div>
</template>

<style scoped lang="scss">
.features-product-category-pricing-pills {
  display: flex;
  flex-wrap: wrap;
  margin-bottom: $spacing-16;

  &__wrapper {
    border: 0;
    padding: 0;
    margin: 0 $spacing-8 $spacing-8 0;
  }

  &__pill {
    display: inline-flex;
    border-radius: 90px;
    border: $color-accent-500 1px solid;
    padding: $spacing-4 $spacing-8;
    // margin: 0 $spacing-8 $spacing-8 0;

    &--disabled {
      background-color: $color-surface-100;
      border-color: $color-surface-100;
    }
  }
  &__text {
    color: $color-accent-500;
    .features-product-category-pricing-pills__pill--disabled & {
      color: $color-surface-500;
    }
  }
  &__availability {
    font-style: italic;
    flex: 0 1 100%;
    margin-bottom: $spacing-24;
  }
  & ::v-deep .slp-tooltip__content {
    font-size: 14px;
    pointer-events: all;
    text-align: center;
    padding: $spacing-8 $spacing-16;
    line-height: 1.4;
    left: 50%;
    transform: translateX(-50%);
    bottom: calc(100% + $spacing-8);
    &::before {
      transform: translateX(-50%);
    }

    a {
      color: $color-secondary-200;
      text-decoration: underline;
    }
  }
}
</style>
